<?php

use App\Database\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('order_archives', function (Blueprint $table) {
            $table->bigInteger('parent_id')->nullable()->after('orderType');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('order_archives', function (Blueprint $table) {
            $table->dropColumn('parent_id');
        });
    }
};
